Loading...
Searching...
No Matches
casacore::python::numpy::ArrayCopy< DComplex > Struct Reference

`#include <PycArrayNP.h>`

## Static Public Member Functions

static void | toPy (void *to, const DComplex *from, size_t nr)
static void | fromPy (DComplex *to, const void *from, size_t nr)
static Array< DComplex > | toArray (const IPosition &shape, void *data, bool copy)

## Detailed Description

Definition at line 63 of file PycArrayNP.h.

## Member Function Documentation

## fromPy()

void casacore::python::numpy::ArrayCopy< DComplex >::fromPy | ( | DComplex * | to,
|  | const void * | from,
|  | size_t | nr )

static

## toArray()

Array< DComplex > casacore::python::numpy::ArrayCopy< DComplex >::toArray | ( | const IPosition & | shape,
|  | void * | data,
|  | bool | copy )

static

References casacore::ValueHolder::asShort().

## toPy()

void casacore::python::numpy::ArrayCopy< DComplex >::toPy | ( | void * | to,
|  | const DComplex * | from,
|  | size_t | nr )

static

References casacore::ValueHolder::asBool().

The documentation for this struct was generated from the following file:

- python/Converters/PycArrayNP.h